package net.xdclass.shopmanager.model;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class GGrpOrderFir {

    //合同号
    private int IDValue;

    //宽度
    private BigDecimal Wid;

    //厚度
    private BigDecimal Thk;

    //长度
    private Integer Len;

    //标准
    private String SG_STD;

    //内部钢种
    private String ST_NO;

    //厚度公差下限
    private BigDecimal THK_MIN;

    //厚度公差上限
    private BigDecimal THK_MAX;

    //轴合同排他标记
    private  int  AXLE_FLG;

    //合同信息
    private List<GPreOrder>  LtInfoGPreOrder;

}